Version 4 (modified by dee, 10 years ago)

--

Instructions for building and deploying GENI-ORCA

Here are the requirements to build and install GENI-ORCA:

  • Java version 1.5.x
  • Ant 1.7+ (NOT the Debianized version)
  • Maven 2.0.6+
  • Maven tasks for ant (installed in your ant's lib directory)
  • Subversion client with https support
  • Read access to https://geni-orca.renci.org/svn
  • wget (any version and on path)

Note:
It is expected that the path and all appropriate standard variables (such as JAVA_HOME, M2_HOME, etc.) are configured for the required tools.

  1. Building ORCA
  2. Deploying ORCA

Attachments